import { gsap } from 'gsap'
import { ScrollToPlugin } from 'gsap/ScrollToPlugin.js'
import { clickEvents } from './dom'
import { screen } from './screen'
import { common } from './common'
import { disclaimer } from './disclaimer'
import { modalStores } from './modal-stores'
// import LocomotiveScroll from 'locomotive-scroll'

// const locomotiveScroll = new LocomotiveScroll()
// import { video } from './video'

gsap.registerPlugin(ScrollToPlugin)

document.addEventListener('DOMContentLoaded', () => {
	clickEvents()
	screen()
	common()
	disclaimer()
	modalStores()
	// video()
})
